Getnet DocsGetnet Docs

Retrieves a payment intent.

GET/payment-intent/{payment_intent_id}

Returns the details and current status of an existing payment intent, including customer, order and payment result data.

Path Parameters

payment_intent_idstringrequired

Payment intent unique identifier

Response

OK

payment_intent_idstring

Unique payment intent ID

statusstring

Current status of the payment intent

seller_idstring<uuid>

Unique seller identifier

checkout_idstring<uuid>

Checkout session identifier associated with the payment intent

modestring

Payment intent mode

expires_atstring<date-time>

Expiration date and time of the payment intent

recordsobject[]

Payment records (attempts) associated with the payment intent, including the result of each payment method used.

Show records properties
payment_idstring<uuid>

Unique payment identifier

method"credit" | "debit" | "bankslip" | "instant_payment" | "qr_code" | "c2p_master" | "google_pay" | "apple_pay" | "bizum"

Payment method used

amountinteger

Amount in cents (smallest currency unit)

currencystring<ISO-4217>
installmentobject

Installment plan, when applicable

Show installment properties
schemastring
typestring
numberinteger
status"Authorized" | "Denied" | "Registered" | "Approved" | "Error" | "Reject" | "Processing" | "Finished" | "Confirmed" | "Paid"

Result status of the payment

authorization_codestring
transaction_datetimestring<date-time>
return_messagestring

Message returned by the acquirer, present on denied/error results

bankslipobject

Bankslip (boleto) data, present when method is bankslip

Show bankslip properties
urlstring<uri>
barcodestring
expiration_datestring<date>
instant_paymentobject

Instant payment (PIX) data, present when method is instant_payment

Show instant_payment properties
qr_codestring
expires_atstring<date-time>
walletobject

Wallet data, present when method is google_pay, apple_pay or bizum

Show wallet properties
typestring
idstring
namestring
order_idstring

Order ID used for Merchant reconciliation

paymentobject

Data structure containing payment details. This field is required for standard payment flows. Must be omitted when `configurations.card_verification` is set to `true`.

Show payment properties
currencystring<ISO-4217>

Currency code. The value is in the alpha-3 format defined in ISO 4217 (https://www.iso.org/iso-4217-currency-codes.html).

amountinteger

Purchase amount in integer format, where the last 2 digits represent the cents. For countries where cents do not apply, fill in the amount with 2 zeros to the right. Ex: $150, send `15000`.

productobject[]

Array of products included in the order. This field is required for standard payment flows. Must be omitted when `configurations.card_verification` is set to `true`.

Show product properties
product_type"cash_carry" | "digital_content" | "digital_goods" | "digital_physical" | "gift_card" | "physical_goods" | "renew_subs" | "shareware" | "service"

Product type

titlestring

Product name

descriptionstring

Product description

valueinteger

Product value in integer format, where the last 2 digits represent the cents. For countries where cents do not apply, fill in the amount with 2 zeros to the right. Ex: $150, send `15000`

quantityinteger

Quantity of the product

customerobject

Data structure containing customer details

Show customer properties
customer_idstring

Customer ID. We recommend using the customer's document number (the same value provided in `document_number`) as the customer ID, for all countries. Provide only letters and numbers, without any special characters, separators or spaces (for example, a Chilean RUT `12345678-9` should be sent as `123456789`). For Brazil (BR), this value must correspond to a valid CPF. Using an invalid document may trigger fraud prevention flows that could block the payment.

first_namestring

Customer's first name

last_namestring

Customer's last name

namestring

Customer's full name

emailstring<email>

Customer's email address

document_typestring

Type of the document used to identify the customer. The accepted value is country-specific: - Brazil (BR): `CPF` (individuals) or `CNPJ` (companies) - Argentina (AR): `DNI` - Chile (CL): `RUT` - Mexico (MX): `RFC` - Uruguay (UY): `CI` - Spain (ES): `DNI`

document_numberstring

Document number used to identify the customer. For Brazil (BR), this field must contain a valid CPF. Using an invalid CPF may trigger fraud prevention flows that could block the payment.

phone_numberstring

Customer's phone number

gender"Female" | "Male" | "Intersex" | "Trans" | "Non-Conforming" | "Personal" | "Eunuch"

Customer's gender

checked_emailboolean

Whether the customer's email address was verified by the seller when they registered with the store. The possible values are: - true = Email address was verified - false = Email address was not verified

billing_addressobject

Data structure containing shipping address details

Show billing_address properties
streetstring

Name of a street or thoroughfare

numberstring

Number that identifies the position of a building on a street

complementstring

Additional address information

districtstring

Name of a district, for example, a part of a town or region

citystring

Name of a built-up area with defined boundaries and a local government. The value is based on the ISO 3166-2, according to the country defined within the address details.

statestring

Name of an organized political community or area forming a part of a federation. The value is based on the ISO 3166-2, according to the country defined within the address details.

countrystring

Country code. The value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).

postal_codestring

Postal or ZIP code. The value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.

referencestring

Reference point details that can be used to help locate the address

shippingobject

Data structure containing shipping details

Show shipping properties
first_namestring

Customer's first name

last_namestring

Customer's last name

namestring

Customer's full name

phone_numberstring

Customer's phone number

shipping_amountnumber

Shipping cost in integer format, where the last 2 digits represent the cents. For countries where cents do not apply, fill in the amount with 2 zeros to the right. Ex: $150, send `15000`

addressobject

Data structure containing shipping address details

Show address properties
streetstring

Name of a street or thoroughfare

numberstring

Number that identifies the position of a building on a street

complementstring

Additional address information

districtstring

Name of a district, for example, a part of a town or region

citystring

Name of a built-up area with defined boundaries and a local government. The value is based on the ISO 3166-2, according to the country defined within the address details.

statestring

Name of an organized political community or area forming a part of a federation. The value is based on the ISO 3166-2, according to the country defined within the address details.

countrystring

Country code. The value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).

postal_codestring

Postal or ZIP code. The value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.

referencestring

Reference point details that can be used to help locate the address

pickup_storeboolean

Whether the order is to be picked up by the customer

shipping_methodstring

Shipping method of the order. The value can be freely defined.

soft_descriptorstring

Payment description that appears on the customer's receipt

dynamic_mccinteger

Merchant Category Code (MCC) for the transaction

additional_dataobject

Additional data for regional regulations and tax requirements. This field is used in specific countries to comply with local tax and regulatory requirements (e.g., Uruguay).

Show additional_data properties
ratesobject[]

Tax rates applied to the transaction

Show rates properties
keystring

Type of tax or rate being applied

valueinteger

Tax amount in integer format (cents)

regional_regulation_codestring

Regional fiscal or regulatory code required by local authorities

configurationsobject

Additional configurations for the payment intent - **3ds, card_verification and preauthorization are not available for Argentina.**

Show configurations properties
3dsboolean

Controls 3D Secure authentication. When set to `false`, the merchant forces the 3DS authentication flow to be skipped for this payment intent.

preauthorizationboolean

Indicates if the payment is a pre-authorization. When set to `true`, the payment will be pre-authorized and manual captures will be performed via API using the `payment_id` sent via webhook to the merchant.

card_verificationboolean

Indicates if this is a card verification flow. When set to `true`, the checkout flow will not process a payment but will verify the card and store it in the vault. A `card_id` will be sent via webhook to the merchant for future charges. This allows merchants without PCI compliance infrastructure to store cards in GetNet's vault without handling sensitive card data. Note: When this is `true`, the `payment` and `product` fields must be omitted from the request.

sub_merchantobject

Data structure containing sub-merchant details. This field is used in marketplace scenarios where the payment is processed on behalf of a sub-merchant (e.g., a seller in a marketplace platform).

Show sub_merchant properties
identification_codestring

Unique identification code for the sub-merchant

document_typestring

Type of document used to identify the sub-merchant

document_numberstring

Document number used to identify the sub-merchant

addressobject

Sub-merchant address details

Show address properties
streetstring

Name of a street or thoroughfare

numberstring

Number that identifies the position of a building on a street

complementstring

Additional address information

districtstring

Name of a district

citystring

City name

statestring

State or province code

country_codestring

Country code. The value is based on the ISO 3166-1 alpha-2 or alpha-3 (https://www.iso.org/obp/ui/#search/code/).

postal_codestring

Postal or ZIP code

Bad request

codestring

Unique alphanumeric human readable error code

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Unauthorized

codestring

Unique alphanumeric human readable error code

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Not found

codestring

Unique alphanumeric human readable error code

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Internal server error

messagestring

Brief summary of the reported issue

detailsobject[]

Array of errors. The object type varies depending on the error context.

Request
curl -X GET "https://api-sbx.pre.globalgetnet.com/dpy/web-checkout/v1/payment-intent/<payment_intent_id>"
Response
{
  "payment_intent_id": "ee0b7dd5-92da-4ef4-ad3b-0ba369ad0efe",
  "status": "pending",
  "seller_id": "a9c99f03-025c-4251-a9f5-de73ef593523",
  "checkout_id": "5ab15d1e-ea8b-4560-84d2-fb3d02179537",
  "mode": "instant",
  "expires_at": "2025-08-01T12:00:00Z",
  "records": [
    {
      "payment_id": "3a76acae-d9c0-421c-91e0-cf5ce8aca098",
      "method": "credit",
      "amount": 14100,
      "currency": "BRL",
      "installment": {
        "schema": "plan_name",
        "type": "with_interest",
        "number": 6
      },
      "status": "Authorized",
      "authorization_code": "999999",
      "transaction_datetime": "2024-01-01T12:00:00.000Z",
      "return_message": "Card not accepted for this operation",
      "bankslip": {
        "url": "string",
        "barcode": "string",
        "expiration_date": "2024-01-01"
      },
      "instant_payment": {
        "qr_code": "string",
        "expires_at": "1970-01-01T00:00:00.000Z"
      },
      "wallet": {
        "type": "google_pay",
        "id": "string",
        "name": "Google Pay"
      }
    }
  ],
  "order_id": "ORDER_123",
  "payment": {
    "currency": "USD",
    "amount": 12000
  },
  "product": [
    {
      "product_type": "digital_content",
      "title": "Toy car",
      "description": "Wooden toy car",
      "value": 1200,
      "quantity": 10
    }
  ],
  "customer": {
    "customer_id": "12345678912",
    "first_name": "John",
    "last_name": "Doe Smith",
    "name": "John Doe Smith",
    "email": "[email protected]",
    "document_type": "CPF",
    "document_number": "12345678912",
    "phone_number": "5551999887766",
    "gender": "Male",
    "checked_email": {
      "type": "boolean",
      "default": false,
      "description": "Whether the customer's email address was verified by the seller when they registered with the store.\n\nThe possible values are:\n- true = Email address was verified\n- false = Email address was not verified",
      "example": false
    },
    "billing_address": {
      "type": "object",
      "description": "Data structure containing shipping address details",
      "required": [
        "street",
        "number",
        "country",
        "postal_code"
      ],
      "properties": {
        "street": {
          "type": "string",
          "description": "Name of a street or thoroughfare",
          "maxLength": 60,
          "example": "Av. Brasil"
        },
        "number": {
          "type": "string",
          "description": "Number that identifies the position of a building on a street",
          "maxLength": 10,
          "example": "1000"
        },
        "complement": {
          "type": "string",
          "description": "Additional address information",
          "maxLength": 60,
          "example": "Sala 1"
        },
        "district": {
          "type": "string",
          "description": "Name of a district, for example, a part of a town or region",
          "maxLength": 40,
          "example": "São Geraldo"
        },
        "city": {
          "type": "string",
          "description": "Name of a built-up area with defined boundaries and a local government.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
          "maxLength": 40,
          "example": "Porto Alegre"
        },
        "state": {
          "type": "string",
          "description": "Name of an organized political community or area forming a part of a federation.\n\nThe value is based on the ISO 3166-2, according to the country defined within the address details.",
          "maxLength": 20,
          "example": "RS"
        },
        "country": {
          "type": "string",
          "description": "Country code.\n\nThe value is based on the ISO 3166-1 alpha-2 (https://www.iso.org/obp/ui/#search/code/).",
          "maxLength": 2,
          "example": "BR"
        },
        "postal_code": {
          "type": "string",
          "description": "Postal or ZIP code.\n\nThe value consists of a group of letters and/or numbers that is added to a postal address to assist in sorting the mail.",
          "maxLength": 8,
          "example": "90230060"
        },
        "reference": {
          "type": "string",
          "description": "Reference point details that can be used to help locate the address",
          "maxLength": 80,
          "example": "Near the hospital"
        }
      }
    }
  },
  "shipping": {
    "first_name": "John",
    "last_name": "Doe Smith",
    "name": "John Doe Smith",
    "phone_number": "5551999887766",
    "shipping_amount": 3000,
    "address": {
      "street": "Av. Brasil",
      "number": "1000",
      "complement": "Sala 1",
      "district": "São Geraldo",
      "city": "Porto Alegre",
      "state": "RS",
      "country": "BR",
      "postal_code": "90230060",
      "reference": "Near the hospital"
    }
  },
  "pickup_store": true,
  "shipping_method": "PAC",
  "soft_descriptor": "Bread Store",
  "dynamic_mcc": 1000,
  "additional_data": {
    "rates": [
      {
        "key": "Iva",
        "value": 123
      }
    ],
    "regional_regulation_code": "17934"
  },
  "configurations": {
    "3ds": true,
    "preauthorization": false,
    "card_verification": false
  },
  "sub_merchant": {
    "identification_code": "SUB_12345",
    "document_type": "CNPJ",
    "document_number": "12345678000190",
    "address": {
      "street": "Rua das Flores",
      "number": "789",
      "complement": "Loja 2",
      "district": "Jardins",
      "city": "São Paulo",
      "state": "SP",
      "country_code": "BR",
      "postal_code": "01452000"
    }
  }
}